﻿using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    async static Task Main()
    {
        Dictionary<string, string> dictionary1 = new Dictionary<string, string>();

        dictionary1.Add("1", "서울");
        dictionary1.Add("2", "인천");
        dictionary1.Add("3", "수원");

        string json = await JSONHelper.SerializeAsync(dictionary1);

        Console.WriteLine(json); // {"1":"서울","2":"인천","3":"수원"}

        Dictionary<string, string> dictionary2 = await JSONHelper.DeserializeAsync<Dictionary<string, string>>(json);

        Console.WriteLine(dictionary2.Count); // 3
    }

    #endregion
}